Package org.kapott.hbci.sepa.jaxb.camt_052_001_09

# Class AccountReport30

java.lang.Object
org.kapott.hbci.sepa.jaxb.camt_052_001_09.AccountReport30

public class AccountReport30 extends Object

Java class for AccountReport30 complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="AccountReport30">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="Id" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.09}Max35Text"/>
             <element name="RptPgntn" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.09}Pagination1" minOccurs="0"/>
             <element name="ElctrncSeqNb" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.09}Number" minOccurs="0"/>
             <element name="RptgSeq" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.09}SequenceRange1Choice" minOccurs="0"/>
             <element name="LglSeqNb" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.09}Number" minOccurs="0"/>
             <element name="CreDtTm" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.09}ISODateTime" minOccurs="0"/>
             <element name="FrToDt" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.09}DateTimePeriod1" minOccurs="0"/>
             <element name="CpyDplctInd" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.09}CopyDuplicate1Code" minOccurs="0"/>
             <element name="RptgSrc" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.09}ReportingSource1Choice" minOccurs="0"/>
             <element name="Acct" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.09}CashAccount41"/>
             <element name="RltdAcct" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.09}CashAccount40" minOccurs="0"/>
             <element name="Intrst" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.09}AccountInterest4" maxOccurs="unbounded" minOccurs="0"/>
             <element name="Bal" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.09}CashBalance8" maxOccurs="unbounded" minOccurs="0"/>
             <element name="TxsSummry" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.09}TotalTransactions6" minOccurs="0"/>
             <element name="Ntry" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.09}ReportEntry11" maxOccurs="unbounded" minOccurs="0"/>
             <element name="AddtlRptInf" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.09}Max500Text" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

## Field Summary

Fields
Modifier and Type
Field
Description
`protected CashAccount41`
`acct`
`protected String`
`addtlRptInf`
`protected List<CashBalance8>`
`bal`
`protected CopyDuplicate1Code`
`cpyDplctInd`
`protected XMLGregorianCalendar`
`creDtTm`
`protected BigDecimal`
`elctrncSeqNb`
`protected DateTimePeriod1`
`frToDt`
`protected String`
`id`
`protected List<AccountInterest4>`
`intrst`
`protected BigDecimal`
`lglSeqNb`
`protected List<ReportEntry11>`
`ntry`
`protected CashAccount40`
`rltdAcct`
`protected SequenceRange1Choice`
`rptgSeq`
`protected ReportingSource1Choice`
`rptgSrc`
`protected Pagination1`
`rptPgntn`
`protected TotalTransactions6`
`txsSummry`

## Constructor Summary

Constructors
Constructor
Description
`AccountReport30()`

## Method Summary

Modifier and Type
Method
Description
`CashAccount41`
`getAcct()`
Gets the value of the acct property.
`String`
`getAddtlRptInf()`
Gets the value of the addtlRptInf property.
`List<CashBalance8>`
`getBal()`
Gets the value of the bal property.
`CopyDuplicate1Code`
`getCpyDplctInd()`
Gets the value of the cpyDplctInd property.
`XMLGregorianCalendar`
`getCreDtTm()`
Gets the value of the creDtTm property.
`BigDecimal`
`getElctrncSeqNb()`
Gets the value of the elctrncSeqNb property.
`DateTimePeriod1`
`getFrToDt()`
Gets the value of the frToDt property.
`String`
`getId()`
Gets the value of the id property.
`List<AccountInterest4>`
`getIntrst()`
Gets the value of the intrst property.
`BigDecimal`
`getLglSeqNb()`
Gets the value of the lglSeqNb property.
`List<ReportEntry11>`
`getNtry()`
Gets the value of the ntry property.
`CashAccount40`
`getRltdAcct()`
Gets the value of the rltdAcct property.
`SequenceRange1Choice`
`getRptgSeq()`
Gets the value of the rptgSeq property.
`ReportingSource1Choice`
`getRptgSrc()`
Gets the value of the rptgSrc property.
`Pagination1`
`getRptPgntn()`
Gets the value of the rptPgntn property.
`TotalTransactions6`
`getTxsSummry()`
Gets the value of the txsSummry property.
`void`
`setAcct(CashAccount41 value)`
Sets the value of the acct property.
`void`
`setAddtlRptInf(String value)`
Sets the value of the addtlRptInf property.
`void`
`setCpyDplctInd(CopyDuplicate1Code value)`
Sets the value of the cpyDplctInd property.
`void`
`setCreDtTm(XMLGregorianCalendar value)`
Sets the value of the creDtTm property.
`void`
`setElctrncSeqNb(BigDecimal value)`
Sets the value of the elctrncSeqNb property.
`void`
`setFrToDt(DateTimePeriod1 value)`
Sets the value of the frToDt property.
`void`
`setId(String value)`
Sets the value of the id property.
`void`
`setLglSeqNb(BigDecimal value)`
Sets the value of the lglSeqNb property.
`void`
`setRltdAcct(CashAccount40 value)`
Sets the value of the rltdAcct property.
`void`
`setRptgSeq(SequenceRange1Choice value)`
Sets the value of the rptgSeq property.
`void`
`setRptgSrc(ReportingSource1Choice value)`
Sets the value of the rptgSrc property.
`void`
`setRptPgntn(Pagination1 value)`
Sets the value of the rptPgntn property.
`void`
`setTxsSummry(TotalTransactions6 value)`
Sets the value of the txsSummry property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### id

protected String id

### rptPgntn

protected Pagination1 rptPgntn

### elctrncSeqNb

protected BigDecimal elctrncSeqNb

### rptgSeq

protected SequenceRange1Choice rptgSeq

### lglSeqNb

protected BigDecimal lglSeqNb

### creDtTm

protected XMLGregorianCalendar creDtTm

### frToDt

protected DateTimePeriod1 frToDt

### cpyDplctInd

protected CopyDuplicate1Code cpyDplctInd

### rptgSrc

protected ReportingSource1Choice rptgSrc

### acct

protected CashAccount41 acct

### rltdAcct

protected CashAccount40 rltdAcct

### intrst

protected List<AccountInterest4> intrst

### bal

protected List<CashBalance8> bal

### txsSummry

protected TotalTransactions6 txsSummry

### ntry

protected List<ReportEntry11> ntry

### addtlRptInf

protected String addtlRptInf

## Constructor Details

### AccountReport30

public AccountReport30()

## Method Details

### getId

public String getId()
Gets the value of the id property.

Returns:
  possible object is `String`

### setId

public void setId(String value)
Sets the value of the id property.

Parameters:
  `value` - allowed object is `String`

### getRptPgntn

public Pagination1 getRptPgntn()
Gets the value of the rptPgntn property.

Returns:
  possible object is `Pagination1`

### setRptPgntn

public void setRptPgntn(Pagination1 value)
Sets the value of the rptPgntn property.

Parameters:
  `value` - allowed object is `Pagination1`

### getElctrncSeqNb

public BigDecimal getElctrncSeqNb()
Gets the value of the elctrncSeqNb property.

Returns:
  possible object is `BigDecimal`

### setElctrncSeqNb

public void setElctrncSeqNb(BigDecimal value)
Sets the value of the elctrncSeqNb property.

Parameters:
  `value` - allowed object is `BigDecimal`

### getRptgSeq

public SequenceRange1Choice getRptgSeq()
Gets the value of the rptgSeq property.

Returns:
  possible object is `SequenceRange1Choice`

### setRptgSeq

public void setRptgSeq(SequenceRange1Choice value)
Sets the value of the rptgSeq property.

Parameters:
  `value` - allowed object is `SequenceRange1Choice`

### getLglSeqNb

public BigDecimal getLglSeqNb()
Gets the value of the lglSeqNb property.

Returns:
  possible object is `BigDecimal`

### setLglSeqNb

public void setLglSeqNb(BigDecimal value)
Sets the value of the lglSeqNb property.

Parameters:
  `value` - allowed object is `BigDecimal`

### getCreDtTm

public XMLGregorianCalendar getCreDtTm()
Gets the value of the creDtTm property.

Returns:
  possible object is `XMLGregorianCalendar`

### setCreDtTm

public void setCreDtTm(XMLGregorianCalendar value)
Sets the value of the creDtTm property.

Parameters:
  `value` - allowed object is `XMLGregorianCalendar`

### getFrToDt

public DateTimePeriod1 getFrToDt()
Gets the value of the frToDt property.

Returns:
  possible object is `DateTimePeriod1`

### setFrToDt

public void setFrToDt(DateTimePeriod1 value)
Sets the value of the frToDt property.

Parameters:
  `value` - allowed object is `DateTimePeriod1`

### getCpyDplctInd

public CopyDuplicate1Code getCpyDplctInd()
Gets the value of the cpyDplctInd property.

Returns:
  possible object is `CopyDuplicate1Code`

### setCpyDplctInd

public void setCpyDplctInd(CopyDuplicate1Code value)
Sets the value of the cpyDplctInd property.

Parameters:
  `value` - allowed object is `CopyDuplicate1Code`

### getRptgSrc

public ReportingSource1Choice getRptgSrc()
Gets the value of the rptgSrc property.

Returns:
  possible object is `ReportingSource1Choice`

### setRptgSrc

public void setRptgSrc(ReportingSource1Choice value)
Sets the value of the rptgSrc property.

Parameters:
  `value` - allowed object is `ReportingSource1Choice`

### getAcct

public CashAccount41 getAcct()
Gets the value of the acct property.

Returns:
  possible object is `CashAccount41`

### setAcct

public void setAcct(CashAccount41 value)
Sets the value of the acct property.

Parameters:
  `value` - allowed object is `CashAccount41`

### getRltdAcct

public CashAccount40 getRltdAcct()
Gets the value of the rltdAcct property.

Returns:
  possible object is `CashAccount40`

### setRltdAcct

public void setRltdAcct(CashAccount40 value)
Sets the value of the rltdAcct property.

Parameters:
  `value` - allowed object is `CashAccount40`

### getIntrst

public List<AccountInterest4> getIntrst()
Gets the value of the intrst property.

This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the intrst property.

For example, to add a new item, do as follows:

        getIntrst().add(newItem);

Objects of the following type(s) are allowed in the list `AccountInterest4`

### getBal

public List<CashBalance8> getBal()
Gets the value of the bal property.

This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the bal property.

For example, to add a new item, do as follows:

        getBal().add(newItem);

Objects of the following type(s) are allowed in the list `CashBalance8`

### getTxsSummry

public TotalTransactions6 getTxsSummry()
Gets the value of the txsSummry property.

Returns:
  possible object is `TotalTransactions6`

### setTxsSummry

public void setTxsSummry(TotalTransactions6 value)
Sets the value of the txsSummry property.

Parameters:
  `value` - allowed object is `TotalTransactions6`

### getNtry

public List<ReportEntry11> getNtry()
Gets the value of the ntry property.

This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the ntry property.

For example, to add a new item, do as follows:

        getNtry().add(newItem);

Objects of the following type(s) are allowed in the list `ReportEntry11`

### getAddtlRptInf

public String getAddtlRptInf()
Gets the value of the addtlRptInf property.

Returns:
  possible object is `String`

### setAddtlRptInf

public void setAddtlRptInf(String value)
Sets the value of the addtlRptInf property.

Parameters:
  `value` - allowed object is `String`